Subject: Re: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Mar 2021 21:48:05 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 12 Mar 2021 19:30:31 +0000
> 
> > Btw, what are those "??" there instead of function names?  Do you see
> > the same on your system?
> 
> Yes I think too they are in place of function names.  You could verify
> if the address is mapped by an .eln file.

Doesn't look like that.

> I do not see those in my back-traces so it might a bug of the Windows
> toolchain?

Please show the full backtrace (including the Lisp backtrace) you get
as result of the following steps:

  gdb ./emacs -Q
  (gdb) break Fredraw_display
  (gdb) r -Q

  C-x C-f dispnew.c
  M-x redraw-display

  (gdb) break Fskip_chars_backward
  (gdb) c

  C-s sleep

  (gdb) bt

I'd like to compare your backtrace with what I get here.

Btw, is your build configured --enable-checking='yes,glyphs' ?  If
not, could you please reconfigure the 32-bit build with wide ints, and
see if you can reproduce the crashes then?  In any case, please show
the backtrace from that configuration, to avoid gratuitous
differences.

Thanks.